Bug 205460 - graphics/glfw: Update version to 3.1.2
Summary: graphics/glfw: Update version to 3.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2015-12-20 14:18 UTC by Florian Degner
Modified: 2016-02-11 03:04 UTC (History)
3 users (show)

See Also:
pi: maintainer-feedback-


Attachments
Patch to update graphics/glfw to version 3.1.2 (4.41 KB, patch)
2015-12-20 14:18 UTC, Florian Degner
no flags Details | Diff
Patch to update graphics/glfw to version 3.1.2 (4.60 KB, patch)
2016-01-19 21:39 UTC, Florian Degner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Degner 2015-12-20 14:18:39 UTC
Created attachment 164419 [details]
Patch to update graphics/glfw to version 3.1.2

The attached patch updates graphics/glfw from version 3.0.4 to 3.1.2. It works for me but might need some additional love.
Comment 1 Martin Wilke freebsd_committer 2016-01-02 07:05:59 UTC
Hi,

Looks like it needs Xinerama as a dependency now,

http://pkgdev.miwibox.org/data/93i386-miwi/2016-01-02_12h43m28s/logs/errors/glfw-3.1.2.log
Comment 2 Florian Degner 2016-01-19 21:39:24 UTC
Created attachment 165839 [details]
Patch to update graphics/glfw to version 3.1.2

Take #2

Apart from Xinerama it also wants Xcursor.
Comment 3 Kurt Jaeger freebsd_committer 2016-02-10 20:06:25 UTC
Testbuilds@work
Comment 4 Kurt Jaeger freebsd_committer 2016-02-11 02:57:15 UTC
Testbuilds all fine, portlint is OK, too.
Comment 5 commit-hook freebsd_committer 2016-02-11 02:58:29 UTC
A commit references this bug:

Author: pi
Date: Thu Feb 11 02:57:56 UTC 2016
New revision: 408675
URL: https://svnweb.freebsd.org/changeset/ports/408675

Log:
  graphics/glfw: 3.0.4 -> 3.1.2

  Version 3.1.2 adds fixes for a large number of bugs that together
  affect all supported platforms, as well as dynamic loading work
  that simplifies compilation and linking.

  PR:		205460
  Submitted by:	f.degner@gmx.de
  Approved by:	koalative@gmail.com (maintainer timeout)

Changes:
  head/graphics/glfw/Makefile
  head/graphics/glfw/distinfo
  head/graphics/glfw/files/
  head/graphics/glfw/files/patch-tests_empty.c
  head/graphics/glfw/pkg-descr
  head/graphics/glfw/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2016-02-11 03:04:13 UTC
Committed, thanks.